== Why is this an issue?

:example: go/code-example.adoc

include::../description.adoc[]

=== Exceptions

This rule does not apply to `if` chains without `else`, nor to `switch` without a `default` clause.

[source,go]
----
if b == 0 {    //no issue, this could have been done on purpose to make the code more readable
  doSomething()
} else if b == 1 {
  doSomething()
}
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
